<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.cdi.mapper.CdiDefenseProjectMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.cdi.domain.CdiDefenseProject">
        <id column="id" property="id" />
        <result column="engineering_name" property="engineeringName" />
        <result column="engineering_id" property="engineeringId" />
        <result column="passwd" property="passwd" />
        <result column="push_address" property="pushAddress" />
        <result column="mqtt_user_name" property="mqttUserName" />
        <result column="mqtt_password" property="mqttPassword" />
        <result column="mqtt_client_id" property="mqttClientId" />
        <result column="base_topic" property="baseTopic" />
        <result column="iotInfo_topic" property="iotinfoTopic" />
        <result column="alarm_topic" property="alarmTopic" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="is_enable" property="isEnable" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
